Application: gvSIG desktop - gvSIG bugs #5064

If we order a field alphabetically and then we rename it we get an error / Si ordenamos un campo
alfabéticamente y después lo renombramos salta un error

04/08/2019 05:25 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee:

Category: Document table

Target version:

Severity: Minor Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: 2915 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

If we order a field alphabetically first, and then we rename it we get an error.

| attach log file

Si ordenamos un campo alfabéticamente primero, y después lo renombramos salta un error.

Adjunto gvSIG.log

History

#1 - 10/17/2019 02:30 PM - Alvaro Anguix
- Target version set to 2.5.0-2930-final

#2 - 10/29/2019 05:26 PM - Alvaro Anguix
- Target version deleted (2.5.0-2930-final)

#3 - 03/04/2020 11:45 AM - Alvaro Anguix
- Target version set to 2.5.1-3044

#4 - 03/26/2020 01:54 PM - Joaquin del Cerro Murciano
- Priority changed from High to Low

#5 - 04/16/2020 03:44 PM - Alvaro Anguix
- File MUNICIPIOS.zip added

En la 2015 no da error y el problema parece de refresco. Subo una capa de ejemplo.

- Afadimos la capa a una Vista y abrimos su tabla

- Aplicamos la herramienta de "ordenar alfabéticamente" en el campo "COMARCA".

- Vamos al menu Tabla/renombrar campo y la denominamos por ejemplo "COMARCAS"
- La tabla se queda en blanco. Si pulsamos otro campo y lo reordenamos...ya se ve bien.

El problema esta en que el usuario no es consciente de esto y puede incluso llegar a pensar que ha perdido todos los datos de la tabla.
#6 - 04/21/2020 09:35 AM - Alvaro Anguix
- Target version deleted (2.5.1-3044)

#7 - 08/04/2023 10:53 AM - Alvaro Anguix
- Status changed from New to Closed

en build 3325 ya no ocurre el error

Files

gvSIG.log 477 KB 04/08/2019 Mario Carrera

MUNICIPIOS.zip 4.66 MB 04/16/2020 Alvaro Anguix
